<?php

//Theme Option -> WooCommerce
$theme_woo_panel = new Miion_WP_Customize_Panel( $wp_customize, 'theme_woo_panel', array(
	'title'			=> esc_html__( 'WooCommerce', 'miion' ),
	'description'	=> esc_html__( 'These are the WooCommerce settings of miion Theme.', 'miion' ),
	'priority'		=> 12,
	'panel'			=> 'miion_theme_panel'
));
$wp_customize->add_panel( $theme_woo_panel );

//WooCommerce -> Woo General
$miion_woo_general_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_woo_general_section', array(
	'title'			=> esc_html__( 'Woo General', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for woocommerce general options.', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_woo_panel'
));
$wp_customize->add_section( $miion_woo_general_section );

//Woo General
$wp_customize->add_setting('ajax_trigger_miion_woo_general_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_woo_general_section', array(
	'section'		=> 'miion_woo_general_section'
)));

//WooCommerce -> Archive Template
$miion_woo_archive_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_woo_archive_section', array(
	'title'			=> esc_html__( 'Archive Template', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for woocommerce archive page template.', 'miion' ),
	'priority'		=> 2,
	'panel'			=> 'theme_woo_panel'
));
$wp_customize->add_section( $miion_woo_archive_section );

//Archive Template
$wp_customize->add_setting('ajax_trigger_miion_woo_archive_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_woo_archive_section', array(
	'section'		=> 'miion_woo_archive_section'
)));

//WooCommerce -> Single Product Template
$miion_woo_single_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_woo_single_section', array(
	'title'			=> esc_html__( 'Single Product Template', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for woocommerce single product template.', 'miion' ),
	'priority'		=> 3,
	'panel'			=> 'theme_woo_panel'
));
$wp_customize->add_section( $miion_woo_single_section );

//Single Product Template
$wp_customize->add_setting('ajax_trigger_miion_woo_single_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_woo_single_section', array(
	'section'		=> 'miion_woo_single_section'
)));

//WooCommerce -> Woo Related Slider
$miion_general_woo_slide_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_general_woo_slide_section', array(
	'title'			=> esc_html__( 'Woo Related Slider', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for woo related products slider', 'miion' ),
	'priority'		=> 4,
	'panel'			=> 'theme_woo_panel'
));
$wp_customize->add_section( $miion_general_woo_slide_section );

//Woo Related Slider
$wp_customize->add_setting('ajax_trigger_miion_general_woo_slide_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_general_woo_slide_section', array(
	'section'		=> 'miion_general_woo_slide_section'
)));